import React from "react";
import Container from "react-bootstrap/Container";
import Row from "react-bootstrap/Row";
import Col from "react-bootstrap/Col";

import AccountList, { AccountListProps } from "./AccountList";
import MailboxList from "./MailboxList";
import { IAccount, TopProps } from "./types";

const AppLayout: React.FC<TopProps> = (props) => {
	return (
		<Container>
			<Row>
				<Col>
					<AccountList {...props} />
				</Col>
				<Col></Col>
				<Col></Col>
			</Row>
			<Row>
				<Col>
					<MailboxList account={props.account} client={props.client} />
				</Col>
			</Row>
		</Container>
	);
};
export default AppLayout;
